Ogre::GLES2SurfaceDesc Struct Reference

GL surface descriptor. More...

`#include <OgreGLES2RenderTexture.h>`

List of all members.

## Public Member Functions

| GLES2SurfaceDesc ()

## Public Attributes

GLES2HardwarePixelBuffer * | buffer
size_t | zoffset
uint | numSamples

## Detailed Description

GL surface descriptor.

Points to a 2D surface that can be rendered to.

Definition at line 39 of file OgreGLES2RenderTexture.h.

## Constructor & Destructor Documentation

Ogre::GLES2SurfaceDesc::GLES2SurfaceDesc | ( |  | ) |

Definition at line 46 of file OgreGLES2RenderTexture.h.

## Member Data Documentation

GLES2HardwarePixelBuffer* Ogre::GLES2SurfaceDesc::buffer

Definition at line 42 of file OgreGLES2RenderTexture.h.

uint Ogre::GLES2SurfaceDesc::numSamples

Definition at line 44 of file OgreGLES2RenderTexture.h.

size_t Ogre::GLES2SurfaceDesc::zoffset

Definition at line 43 of file OgreGLES2RenderTexture.h.

The documentation for this struct was generated from the following file:

- OgreGLES2RenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:28:02